Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.0.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.persist.model
Class ClassEnhancerTask

    java.lang.Object
      Task
          com.sleepycat.persist.model.ClassEnhancerTask

    public class ClassEnhancerTask

extends Task

An `ant` task for running the `ClassEnhancer`.

`ClassEnhancerTask` objects are thread-safe. Multiple threads may safely call the methods of a shared `ClassEnhancerTask` object.

The class enhancer task element has no attributes. It may contain one or more nested `fileset` elements specifying the classes to be enhanced. The class files are replaced when they are enhanced, without changing the file modification date. For example:

     <taskdef name="enhance-persistent-classes"
              classname="com.sleepycat.persist.model.ClassEnhancerTask"
              classpath="${je.home}/lib/je.jar"/>

     <target name="main">
         <enhance-persistent-classes verbose="no">
             <fileset dir="classes"/>
         </enhance-persistent-classes>
     </target>

The verbose attribute may be specified as "true", "yes" or "on" (like other Ant boolean attributes) to print the name of each class file that is enhanced. The total number of class files enhanced will always be printed.

Author:
  Mark Hayes

Constructor Summary
`ClassEnhancerTask()`

Method Summary
`void` | `addConfiguredFileset(FileSet files)`
`void` | `execute()`
`void` | `setVerbose(boolean verbose)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassEnhancerTask

    public ClassEnhancerTask()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Throws:
    `BuildException`

### addConfiguredFileset

    public void addConfiguredFileset(FileSet files)

### setVerbose

    public void setVerbose(boolean verbose)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.0.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2006 Sleepycat Software, Inc. - All rights reserved.